using System;

namespace takmicenje
{
	class Program
	{
		struct fr
		{
			public int brutoZarada;
			public double porez;
		}

		static void Main(string[] args)
		{
			int n = int.Parse(Console.ReadLine());

			fr[] frilenseri = new fr[n];
			for (int i = 0; i < n; i++)
			{
				string[] unos = Console.ReadLine().Split();
				frilenseri[i].brutoZarada= Convert.ToInt32(unos[0]);
				frilenseri[i].porez = Convert.ToDouble(unos[1]);
 			}

			Array.Sort(frilenseri, (y, x) => x.porez.CompareTo(y.porez));

			double brutoZaradaOnihKojiPlacajuPorez = 0;
			double maxZarada = 0;

			for (int i = 0; i < n; i++)
			{
				double porez = frilenseri[i].porez;
				brutoZaradaOnihKojiPlacajuPorez += frilenseri[i].brutoZarada;
				double zarada = brutoZaradaOnihKojiPlacajuPorez * porez / 100;
				if (zarada >= maxZarada)
					maxZarada = zarada;
			}
			Console.WriteLine(maxZarada);
		}
	}
}